Name:           test-interface
Version:        1.0
Release:        12
Summary:        Uniform interface to Scala and Java test frameworks
License:        BSD
URL:            https://github.com/sbt/test-interface
Source0:        https://github.com/sbt/test-interface/archive/v1.0.tar.gz
Source1:        http://mirrors.ibiblio.org/maven2/org/scala-sbt/%{name}/%{version}/%{name}-%{version}.pom
BuildArch:      noarch
BuildRequires:  java-devel javapackages-local
Requires:       javapackages-local

%description
Uniform test interface to Scala/Java test frameworks (specs,ScalaCheck,
ScalaTest, JUnit and other)

%package help
Summary:        Help documents for %{name}
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
Help documents for %{name}.

%prep
%autosetup -n  %{name}-%{version} -p1
%mvn_file org.scala-sbt:test-interface %{name}

cp -p %{SOURCE1} pom.xml
%pom_remove_dep :scalatest_2.10

%build

mkdir -p classes target/api
%javac -d classes $(find src/main/java -name "*.java")

(
cd classes
install -d META-INF
cat > META-INF/MANIFEST.MF << 'EOF'
Manifest-Version: 1.0
Implementation-Vendor: org.scala-sbt
Implementation-Title: %{name}
Implementation-Version: %{version}
Implementation-Vendor-Id: org.scala-sbt
Specification-Vendor: org.scala-sbt
Specification-Title: %{name}
Specification-Version: %{version}
EOF
%jar -cMf ../target/%{name}.jar *
)

%javadoc -d target/api -classpath $PWD/target/%{name}.jar $(find src/main/java -name "*.java")

cp pom.xml target/%{name}-%{version}.pom

%mvn_artifact target/%{name}-%{version}.pom target/%{name}.jar

%install

%mvn_install -J target/api

%files -f .mfiles
%doc LICENSE README

%files help -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Mar 07 2020 yanzhihua <yanzhihua4@huawei.com> - 1.0-12
- Package init
